Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.servlets.jsp.taglib
Class DivTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--com.bea.p13n.servlets.jsp.BodyTagSupport
                        |
                        +--com.bea.p13n.servlets.jsp.taglib.DivTag

public class DivTag
extends BodyTagSupport

The tag handler of the personalization jsp extension tag 'div'. The div tag allows user supplied content (not in a DMS) to be turned off based on rules.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `id` To store the value of id attribute.
`protected java.lang.String` | `rule` The rule in the rule set that determines whether the content should be displayed.

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`DivTag()`

Method Summary
`int` | `doAfterBody()` Processes after body.
`void` | `doInitBody()` Processes before body.
`int` | `doStartTag()` Processes the start tag.
`java.lang.String` | `getId()` The id to assign the results to.
`protected AdviceRequest` | `getRequest()` Returns a Classification AdviceRequest object after populating the following fields The current HTTP Request The current HTTP Session The current User A new TimeInstant A new Time A new Date A RULES_RULENAME_TO_FIRE A RULES_FILTER_CLASS_NAME
`java.lang.String` | `getRule()` Get name of the selector rule in the rule set.
`protected boolean` | `includeBody()` Runs the advisor to determine the classification.
`void` | `release()`
`void` | `setId(java.lang.String anId)` The id to assign the results to.
`void` | `setRule(java.lang.String aSelector)` Set name of the selector rule in the rule set.

Methods inherited from class com.bea.p13n.servlets.jsp.BodyTagSupport
`createAdviceRequest, createAdvisor`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doEndTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rule

    protected java.lang.String rule

  The rule in the rule set that determines whether the content should be displayed.

### id

    protected java.lang.String id

  To store the value of id attribute.

Constructor Detail

### DivTag

    public DivTag()

Method Detail

### setRule

    public void setRule(java.lang.String aSelector)

  Set name of the selector rule in the rule set.

### getRule

    public java.lang.String getRule()

  Get name of the selector rule in the rule set.

### setId

    public void setId(java.lang.String anId)

  The id to assign the results to.

  Overrides:
    setId in class javax.servlet.jsp.tagext.TagSupport

### getId

    public java.lang.String getId()

  The id to assign the results to.

  Overrides:
    getId in class javax.servlet.jsp.tagext.TagSupport

### includeBody

    protected boolean includeBody()
                           throws JspException

  Runs the advisor to determine the classification.

  Returns:
    True if the advisor indicates the classification is made.

### getRequest

    protected AdviceRequest getRequest()
                                throws JspException

  Returns a Classification AdviceRequest object after populating the following fields
  - The current HTTP Request
  - The current HTTP Session
  - The current User
  - A new TimeInstant
  - A new Time
  - A new Date
  - A RULES_RULENAME_TO_FIRE
  - A RULES_FILTER_CLASS_NAME

  Returns:
    A Classification AdviceRequest.
  Throws:
    JspTagException - If there is a problem creating the request.

### doStartTag

    public int doStartTag()
                   throws JspException

  Processes the start tag.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.BodyTagSupport

### doInitBody

    public void doInitBody()
                    throws JspException

  Processes before body.

  Overrides:
    doInitBody in class javax.servlet.jsp.tagext.BodyTagSupport

### doAfterBody

    public int doAfterBody()
                    throws JspException

  Processes after body. Only done if the classifier rule evaluates to true.

  Overrides:
    doAfterBody in class javax.servlet.jsp.tagext.BodyTagSupport

### release

    public void release()

  Overrides:
    release in class javax.servlet.jsp.tagext.BodyTagSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved